# AC-API 認証サンプル

<!-- TOC -->

- [AC-API 認証サンプル](#ac-api-認証サンプル)
    - [python サンプル](#python-サンプル)
        - [依存ライブラリ](#依存ライブラリ)
        - [docker 環境での実行](#docker-環境での実行)
    - [bash サンプル](#bash-サンプル)
        - [依存ツール](#依存ツール)
        - [bash での実行](#bash-での実行)

<!-- /TOC -->

ARTIST COMMONS API を利用、開発するための認証サンプルコードです。

リクエストサンプルを実行する場合はアクセスキーと秘密鍵を実際のものに置き換えてください。

## python サンプル

docker 環境で実行できるようになっています。

* python/src/acoms_client.py
    AC-API利用者用
    AC-APIにリクエストする場合のサンプルコード
* python/src/acoms_verifier.py
    AC-API開発者用
    AC-API実装時に必要な署名・検証のサンプルコード

### 依存ライブラリ

* pycryptodome: RSA署名に使用

### docker 環境での実行

python ディレクトリで
コンテナビルド
```
$ docker-compose build
```

コンテナ起動
```
$ docker-compose up -d
```

サンプルコード実行
```
$ docker exec -it acoms_client python acoms_client.py
```
または
```
$ docker exec -it acoms_client python acoms_verifier.py
```

コンテナ終了
```
$ docker-compose down
```

## bash サンプル

* bash/acoms_client.sh
    AC-API利用者用
    AC-APIにリクエストする場合のサンプルコード

### 依存ツール

* openssl: RSA署名に使用
* jq: JSONの整形表示に使用

### bash での実行

bash ディレクトリで
```
$ ./acoms_client.sh
```
