
#### 音楽家・タレント

Type: https://schema.org/PerformingGroup

* identifier (http://schema.org/PropertyValue): ID
* name (string): 名前
* alternateName (http://schema.org/PropertyValue): 別名(読み)。使用型は拡張解釈<br>
  "propertyID": ja-kata | en
* image (http://schema.org/ImageObject | https://schema.org/DataDownload): アーティスト画像<br>
  "contentSizeType"はカスタム拡張プロパティ <br>
  "genre": main | tour | news <br>
  "contentSizeType": s | m | l <br>
  "width"/"propertyID": px ... (単位) <br>
  "height"/"propertyID": px ... (単位) <br>
* description (string): プロフィール

```
{ 
  "@context": "http://schema.org",
  "@type": "PerformingGroup",
  "identifier": {
    "@type": "PropertyValue",
    "propertyID": "{id_type}",
    "value":  "{id}"
  },
  "name": "{artist_name}",
  "alternateName": [
    {
      "@type": "PropertyValue",
      "propertyID": "{language_type}",
      "value":  "{name_in_language}"
    },
  ],
  "image": [
    {
      "@type": "ImageObject",
      "contentUrl": "{artist_image_url}",
      "encodingFormat": "{image_mime_type}",
      "genre": "{genre_name}",
      "contentSizeType": "{content_size_type}",
      "width": {
        "@type": "PropertyValue",
        "propertyID": "{unit}",
        "value": "{width}"
      },
      "height": {
        "@type": "PropertyValue",
        "propertyID": "{unit}",
        "value": "{height}"
      }
    },
    {
      "@type": "DataDownload",
      "contentUrl": "{artist_image_archive_url}",
      "encodingFormat": "{mime_type}",
      "genre": "{genre_name}"
    },
  ],
  "description":"{artist_profile}"
}
```




#### チケット

Type: http://schema.org/Event

* identifier (http://schema.org/PropertyValue): ID
* name (string): 名前
* startDate (http://schema.org/Date|http://schema.org/DateTime|https://schema.org/Date): 開始日時
* endDate (http://schema.org/Date|http://schema.org/DateTime|https://schema.org/Date): 終了日時
* url (http://schema.org/URL): イベント詳細URL
* image (http://schema.org/ImageObject): イベント画像
* description (string): 概要
* subEvents(https://schema.org/subEvents): 公演情報
* location (http://schema.org/Place): 開催場所
* performer (http://schema.org/Organization|http://schema.org/Person): 出演者

```
{
  "@context": "http://schema.org",
  "@type": "Event",
  "identifier": {
    "@type": "PropertyValue",
    "propertyID": "{id_type}",
    "value":  "{id}"
  },
  "name": "{event_name}",
  "startDate": "{event_start_date}",
  "endDate": "{event_end_date}",
  "url": [
    "{event_url}"
  ],
  "image": [
    {
      "@type": "ImageObject",
      "contentUrl": "{event_image_url}"
    }
  ],
  "description": [
    "{event_description}"
  ],
  "subEvents": [
    {
      "@type": "Event",
      "identifier": {
        "@type": "PropertyValue",
        "propertyID": "{id_type}",
        "value":  "{id}"
      },
      "name": "{event_name}",
      "startDate": "{event_start_datetime}",
      "endDate": "{event_end_datetime}",
      "url": [
        "{event_url}"
      ],
      "image": [
        {
          "@type": "ImageObject",
          "contentUrl": "{event_image_url}"
        }
      ],
      "description": [
        "{event_description}"
      ],
      "location": {
        "@type": "Place",
        "name": "{event_location_name}",
        "address": "{event_location_address}"
      },
      "performer": [
        {
          "@type": "Organization",
          "identifier": {
            "@type": "PropertyValue",
            "propertyID": "{id_type}",
            "value":  "{id}"
          },
          "name": "{performer_name}"
        }
      ]
    }
  ]
}
```


