【AC-API仕様書　補足資料】 2020年7月7日　アーティストコモンズ　技術部

# AC-APIで取得するアーティスト写真、プロフィールの扱いについて


## 写真・プロフィールデータのキャッシュ
### (1) コンシューマーからの直接アクセスは不可
* AC-APIは、BtoB利用のみを想定し、サーバ間の情報連携に限定して運用されています。
* コンシューマーの利用するアプリやブラウザ等から直接AC-APIにリクエストすることは避け、写真やプロフィールのデータは、アプリケーションサーバ等に一旦キャッシュして、そこから配信する方式でご利用下さい。

### (2) 写真データの有効期限
AC-APIの「音楽家・タレント」レスポンスに、
情報公開の開始日時　"datePublished" と
終了日時　"expires" があります。

```
      "datePublished": "{available_datetime_from}",
      "expires": "{available_datetime_to}"
```
"datePublished" 以前や、"expires" 以後には、写真データが配信されないよう、アプリケーションサーバでの制御をお願いします。



### (3) 写真データ更新の検知と差し替え
* AC-APIの「音楽家・タレント」レスポンス中で、写真データのURLは

```
"https://s3.ap-northeast-1-ntt.wasabisys.com/artistprofile.acoms/ACJP-DMY-999-A0485-4/67/67_resized_logo_S.jpg?AWSAccessKeyId=CZO4S2ABEFZNG2I52T0J&Signature=XRWGLe5mpwjajzu%2BW13AFP9C8lw%3D&Expires=1593436383"
```
のような形式になります。
このうち、.jpg までのURLは、写真が更新された場合にだけ変化するので、キャッシュされている写真データと比較することで、更新を検知できます。

* "datePublished" 〜 "expires"の期間内であっても、写真が更新されることがあるので、更新を定期的に検知し、常に最新の写真データが配信されるよう、キャシュの更新(差し替え)をお願いします。
* 更新された写真は、1日程度をめどに差し替えをお願いしています。全ての写真を毎日更新チェックするのは負荷が高いため、ユーザーからのアクセスがあった写真についてだけ、更新チェック・差し替えを行うことをお薦めします。

